Create product
curl --request POST \
--url https://api.finpace.tech/product-catalog/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "prd_sme_current",
"name": "<string>",
"productClass": "current_account",
"status": "active",
"version": "2026.03"
}
'import requests
url = "https://api.finpace.tech/product-catalog/products"
payload = {
"productId": "prd_sme_current",
"name": "<string>",
"productClass": "current_account",
"status": "active",
"version": "2026.03"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: 'prd_sme_current',
name: '<string>',
productClass: 'current_account',
status: 'active',
version: '2026.03'
})
};
fetch('https://api.finpace.tech/product-catalog/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"productId": "prd_sme_current",
"name": "<string>",
"productClass": "current_account",
"status": "active",
"version": "2026.03"
}Products
Create product
Create versioned product template.
POST
/
product-catalog
/
products
Create product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I